use strict;

my $amp = 720;
my $incang = 5;
my $ang = 30;

my $n = $amp/$incang;

open ( GNU, "|gnuplot" ) or die "No encontr \"gnuplot\"\n";

$| = 1; # la salida sin buffers

print GNU "set polar\n";
print GNU "set size ratio -1\n";
print GNU "set xrange [-30:30]\n";
print GNU "set yrange [-30:30]\n";
print GNU "unset border\n";
print GNU "unset tics\n";
print GNU "unset key\n";


for( my $i=0; $i<$n; $i++ ) {

	my $a = $incang * $i *3.1416/180.0;
	my $r = 2.0*$a; 

	`echo "0 0\n$a $r" > tmp`;

	print GNU "plot 'tmp' w l lw 2\n";
	`sleep 0.1`;
}
